### Hierarchy

- IAdapterMapper

## Index

### Properties

- adapter
- db
- keyName
- readIDFromBytes32
- writeIDToBytes32

## Properties

### adapter

adapter: ITransmuteStoreAdapter

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:19

### db

db: any

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:20

### keyName

keyName: string

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:18

### readIDFromBytes32

readIDFromBytes32: function

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:21

#### Type declaration

- - (bytes32: string): string

  - #### Parameters

    - ##### bytes32: string

    #### Returns string

### writeIDToBytes32

writeIDToBytes32: function

- Defined in Store/EventStoreAdapter/EventStoreAdapterTypes.ts:22

#### Type declaration

- - (id: string): string

  - #### Parameters

    - ##### id: string

    #### Returns string

Generated using TypeDoc